Bug 859385 - SELinux is preventing /usr/lib64/realmd/realmd from 'read' accesses on the chr_file urandom.
SELinux is preventing /usr/lib64/realmd/realmd from 'read' accesses on the ch...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:2f5821df2def40358724cd68453...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-21 08:02 EDT by Ernesto
Modified: 2012-12-20 11:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 11:10:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: type (9 bytes, text/plain)
2012-09-21 08:02 EDT, Ernesto
no flags Details
File: hashmarkername (14 bytes, text/plain)
2012-09-21 08:02 EDT, Ernesto
no flags Details

  None (edit)
Description Ernesto 2012-09-21 08:02:14 EDT
Additional info:
libreport version: 2.0.13
kernel:         3.6.0-0.rc6.git0.2.fc18.x86_64

description:
:SELinux is preventing /usr/lib64/realmd/realmd from 'read' accesses on the chr_file urandom.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If cree que de manera predeterminada, realmd debería permitir acceso read sobre  urandom chr_file.     
:Then debería reportar esto como un error.
:Puede generar un módulo de política local para permitir este acceso.
:Do
:permita el acceso momentáneamente executando:
:# grep realmd /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:realmd_t:s0-s0:c0.c1023
:Target Context                system_u:object_r:urandom_device_t:s0
:Target Objects                urandom [ chr_file ]
:Source                        realmd
:Source Path                   /usr/lib64/realmd/realmd
:Port                          <Desconocido>
:Host                          (removed)
:Source RPM Packages           realmd-0.8-2.fc18.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.11.1-21.fc18.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.6.0-0.rc6.git0.2.fc18.x86_64 #1
:                              SMP Mon Sep 17 17:29:08 UTC 2012 x86_64 x86_64
:Alert Count                   2
:First Seen                    2012-09-20 16:24:04 ART
:Last Seen                     2012-09-21 08:59:25 ART
:Local ID                      45cde53e-43a3-4db6-b115-3fc2ebffac33
:
:Raw Audit Messages
:type=AVC msg=audit(1348228765.849:67): avc:  denied  { read } for  pid=1052 comm="realmd" name="urandom" dev="devtmpfs" ino=1033 scontext=system_u:system_r:realmd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:urandom_device_t:s0 tclass=chr_file
:
:
:type=SYSCALL msg=audit(1348228765.849:67): arch=x86_64 syscall=open success=no exit=EACCES a0=7fe15d1888b4 a1=0 a2=1b6 a3=238 items=0 ppid=1 pid=1052 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=realmd exe=/usr/lib64/realmd/realmd subj=system_u:system_r:realmd_t:s0-s0:c0.c1023 key=(null)
:
:Hash: realmd,realmd_t,urandom_device_t,chr_file,read
:
:audit2allow
:
:#============= realmd_t ==============
:#!!!! This avc can be allowed using the boolean 'global_ssp'
:
:allow realmd_t urandom_device_t:chr_file read;
:
:audit2allow -R
:
:#============= realmd_t ==============
:#!!!! This avc can be allowed using the boolean 'global_ssp'
:
:allow realmd_t urandom_device_t:chr_file read;
:
Comment 1 Ernesto 2012-09-21 08:02:18 EDT
Created attachment 615406 [details]
File: type
Comment 2 Ernesto 2012-09-21 08:02:22 EDT
Created attachment 615407 [details]
File: hashmarkername
Comment 3 Miroslav Grepl 2012-09-26 10:43:21 EDT
Should be fixed in the latest build.
Comment 4 Fedora Update System 2012-10-11 05:02:27 EDT
selinux-policy-3.11.1-36.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-36.fc18
Comment 5 Fedora Update System 2012-10-11 13:20:46 EDT
Package selinux-policy-3.11.1-36.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-36.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15934/selinux-policy-3.11.1-36.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-12-20 11:10:28 EST
selinux-policy-3.11.1-36.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.